# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_CurveStyleFontSelect Class Reference

`#include <StepVisual_CurveStyleFontSelect.hxx>`

Inheritance diagram for StepVisual_CurveStyleFontSelect:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepVisual_CurveStyleFontSelect ()
| Returns a CurveStyleFontSelect SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a CurveStyleFontSelect Kind Entity that is : 1 -> CurveStyleFont 2 -> PreDefinedCurveFont 3 -> ExternallyDefinedCurveFont 0 else .
Standard_EXPORT Handle_StepVisual_CurveStyleFont | CurveStyleFont () const
| returns Value as a CurveStyleFont (Null if another type)
Standard_EXPORT Handle_StepVisual_PreDefinedCurveFont | PreDefinedCurveFont () const
| returns Value as a PreDefinedCurveFont (Null if another type)
Standard_EXPORT Handle_StepVisual_ExternallyDefinedCurveFont | ExternallyDefinedCurveFont () const
| returns Value as a ExternallyDefinedCurveFont (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_CurveStyleFontSelect::StepVisual_CurveStyleFontSelect | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepVisual_CurveStyleFontSelect::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepVisual_CurveStyleFont StepVisual_CurveStyleFontSelect::CurveStyleFont | ( |  | ) | const

Standard_EXPORT Handle_StepVisual_ExternallyDefinedCurveFont StepVisual_CurveStyleFontSelect::ExternallyDefinedCurveFont | ( |  | ) | const

void StepVisual_CurveStyleFontSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_CurveStyleFontSelect::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_CurveStyleFontSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepVisual_PreDefinedCurveFont StepVisual_CurveStyleFontSelect::PreDefinedCurveFont | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepVisual_CurveStyleFontSelect.hxx